import * as $dara from '@darabonba/typescript';
import { ModifyCustomBlockRecordResponseBody } from "./ModifyCustomBlockRecordResponseBody";
export declare class ModifyCustomBlockRecordResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyCustomBlockRecordResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
